Discovery 4.93: Horizons

Discovery 4.93: Horizons
Installer for 4.93: Horizons Please make sure you have the latest Microsoft .NET version and, if using Windows 10 - have .NET Framework 3.5 and DirectPlay activated in the Apps settings before installing.discovery_4.93.0

Comments 0